%define	version 1.1
%define kdename kwebsearch
%define kderelease 2mdk

Name: %{kdename}
Summary: KWebSearch
Summary(fr): KWebSearch
Version: %{version}
Release: %{kderelease}
Source:  %{name}-%{version}.tar.bz2
URL: http://www.bawue.de/~rgoetz/kwebsearch.html
Group: Networking/WWW
Copyright: GPL
BuildRoot: /var/tmp/%{name}-buildroot
Prefix: %{_prefix}

%description
KWebWearch is a search engine caller for KDE that supports a variety of search
engines such as Altavista, Lycos, Deja, GOTO, Freshmeat, Audiofind, Slashdot
and more. It works with KFM, Lynx an Netscape.
 
%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
export KDEDIR=%{_prefix}
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
    ./configure --prefix=$KDEDIR --disable-rpath --with-install-root=$RPM_BUILD_ROOT \
				

mkdir -p $RPM_BUILD_ROOT    


%install
export KDEDIR=%{_prefix}
make prefix=$RPM_BUILD_ROOT$KDEDIR install

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr (-,root,root)
/usr/bin/*
/usr/share/applnk/Internet/*
%dir /usr/share/apps/kwebsearch
%dir /usr/share/apps/kwebsearch/searchengines
/usr/share/apps/kwebsearch/searchengines/*
/usr/share/icons/*.xpm
/usr/share/icons/mini/*
/usr/share/locale/de/*/*

%changelog
* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1-2mdk
- fix group
- disable rpath
- fix files section

* Tue Sep 05 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Mandrake adaptations
- Added some search engines
